import type { QfaJsonConfig } from '../app/types';
/**
 * Validates the entire app configuration.
 *
 * @param {QfaJsonConfig} config - The QFA JSON configuration containing app details.
 * @returns {boolean} - Returns true if the configuration is valid, false otherwise.
 */
export declare const validateQfaJsonFile: (config: QfaJsonConfig) => boolean;
/**
 * Validates the prompt state for the app download process.
 *
 * @param {string} targetFolder - The target folder for the app download.
 * @param {string} [appId] - The selected app id.
 * @returns {boolean} - Returns true if the prompt state is valid, false otherwise.
 */
export declare const isValidPromptState: (targetFolder: string, appId?: string) => boolean;
//# sourceMappingURL=validators.d.ts.map